// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import "dialog_manager.js" as DialogJS

Item {
    id: root
    property bool anyAreBlockingKeys: false
    property bool anyAreShown: false
    onAnyAreBlockingKeysChanged: console.log("blocking>>", anyAreBlockingKeys)

    function alertShown(obj) {
        DialogJS.alertShown(obj)
        root.anyAreBlockingKeys = DialogJS.anyAreBlockingKeys()
        root.anyAreShown = DialogJS.anyAreShown()
    }

    function alertHidden(obj) {
        DialogJS.alertHidden(obj)
        root.anyAreBlockingKeys = DialogJS.anyAreBlockingKeys()
        root.anyAreShown = DialogJS.anyAreShown()
    }
}
