import QtQuick 2.4

// Netpulse Entertainment Menu proxy element.
NetpulseWindow{
    id: root

    signal viewChanged(string page)

    width: 1000
    height: 406

    page: "mainmenu"
    anchors.fill: parent
    absx: workoutViewContainer.x+23
    absy: workoutViewContainer.y+23

    onMessageReceived: {
        if (message.op == "viewchange") {
            viewChanged(message.page)
        }
        else if (message.op == "button") {
            netpulse.hideAll()
            viewChanged(message.id)
        }
    }
}
