import QtQuick 2.4
import "views/"

// Netpulse TV Channel Menu proxy element
NetpulseWindow{
    id:root

    signal channelSelected(string id)

    width: 1000
    height: 406
    npw: 1000
    nph: 406
    page: "tv" // tv channel menu
    absx: workoutViewContainer.x+23
    absy: workoutViewContainer.y+23

    visible: true

    onMessageReceived: {
        if (message.op == "button") {
            if (message.id == "logincnx")  // won't happen, as netpulse is now handing "back" properly
                workoutViewContainer.setDefaultView("LANDING_VIEW")
            else
            {
                netpulse.hideAll();
                root.channelSelected(message.id)
            }
        }
    }
}
