#!/bin/bash

# find path to executable, which varies depending if we are in production or running through Qt Creator

case "$PWD" in
  "/usr/local/bin/truetouch")
  cd ../truetouch-keypad || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Release"*)
  cd ../build*AlphaKeypad*Release* || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Debug"*)
  cd ../build*AlphaKeypad*Debug* || exit 1
  ;;
esac

echo "Starting keypad from $PWD"
exec ./AlphaKeypad "$@"
