#!/bin/sh

# first argument is 0 or 1, to unmute or mute respectively
index=$(pacmd list-sink-inputs | egrep "index|application\.name" | grep -B1 "LibVLC" | grep index | sed 's/.*index: //')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for LibVLC found"
  exit 1
fi
echo "vlcmute.sh: Muting $index $1"
pacmd set-sink-input-mute $index $1
