// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id:marqueeText
    height: scrollingText.height
    clip: true
    property int tempX: 0
    property alias text: scrollingText.text
    Text {
        x: tempX
        id:scrollingText
        color: "white"
        font.pointSize: 32
        font.bold: true
        smooth: true
    }

    Timer {
        id:timer
        interval: 100; running: true; repeat: true
        onTriggered:{
            tempX = tempX + 8
//            tempX = tempX + 5
            scrollingText.x = -tempX;

            if( (tempX + marqueeText.width - 600) > scrollingText.width ) {
                timer.running = false
                pauseTimer.running = true
            }
        }
    }

    Timer {
        id:pauseTimer
        interval: 500; running: false; repeat: false
        onTriggered: {
            scrollingText.x = 0
            timer.running = true
            tempX = 0
        }
    }
}
