import QtQuick 2.4

NetpulseWindow {
    id: root

    page: "install"

    function shown(){
        show()
    }

    function show() {
        var args = { "op": "show", "page" : root.page, "mfr": "11",
            "model": configurationData.csafeID,
            "serial": main.serialNumber, name: "True Fitness" }

        netpulse.showPage(root.page, args)
    }

    onMessageReceived: {
        if (message.op == "button") {
            print("Netpulse install proxy button:" + message.id)
            if (message.id == "cnx")
                netpulse.hidePage("install")
        }
    }

}
