// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id: root
    property string parseLine: ""
    property bool isPartial: false

    function readFullLines(stdio) {
        if (!root.isPartial) {
            // If our last line wasn't a partial line, reset.
            parseLine = ""
        }

        parseLine += stdio
        root.isPartial = stdio[stdio.length - 1] !== "\n"
    }
}
