// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import ".."

Item{
    id: root

    width:1000
    height: 406

    Connections {
        target: currentViewName === "PROFILE_VIEW" && visible && opacity > 0 ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "ProfileViewContainer")
            profileContainer.nextTab();
        }
    }

    ProfileContainer {
        id: profileContainer
        visible: true
        width:parent.width
        height: 406
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
    }

}
