#!/bin/sh
#echo $PWD
# This will start or stop the bleno advertisement

# When advertiseWorkout.js is started it will spawn two daemons: hci-ble and l2cap-ble
# We launch the node.js proces with the _TAG environment variable set,  the child processes
# (the daemons) will also inherit the tag in there environment.
# The tag is then used to identify the process so they can be killed 
# when the "stop" argument is supplied.

# The second argument should either be "*" or "" to indicate what node scripts to show
# debug output

_TAG_VAL=BLENO_DAEMONS

# stop daemons
echo "stopping daemon"
pids=$(sudo grep -l "\b_TAG=$_TAG_VAL\b" /proc/*/environ | cut -d/ -f3)
[ -n "$pids" ] && sudo kill $pids
sudo hciconfig hci0 noleadv

