#!/bin/sh

# invoked without flags, outputs list of installed packages, in "name | version" format.
# with -s flag, outputs the md5sum of this output.

OUTPUT=`dpkg-query -W --showformat='${Package}|${Version}\n'`
#dpkg-query -W --showformat='${Package}|${Version}\n'

if [ "$1" == "-s" ]; then
	echo `echo "$OUTPUT" | md5sum -` | cut -d' ' -f1 
else
	echo "$OUTPUT"
fi
