#!/bin/sh

# MGT
lsusb | grep -i 600d:c0de > /dev/null
if [ $? = 0 ]; then
  echo MGT
fi

# Hauppauge 950Q
lsusb | grep -i 2040:7200 > /dev/null
if [ $? = 0 ] ; then
    echo ATSC
    # force firmware load of hauppauge tuner
    dvbscan > /dev/null
fi

# Hauppauge 930C (Not Currently Used)
lsusb | grep -i 2040:b130 > /dev/null
if [ $? = 0 ] ; then
    echo DVB
fi

# Hauppauge 930C - PCTV Branding
lsusb | grep -i 2013:025e > /dev/null
if [ $? = 0 ] ; then
    echo DVB-C
fi

# Hauppauge 930C
lsusb | grep -i 2040:b131 > /dev/null
if [ $? = 0 ]; then 
  echo DVB-C
fi

# Avermedia H830
lsusb | grep -i 07ca:0830 > /dev/null
if [ $? = 0 ] ; then
    echo DVB
fi

# Avermedia H830 - rev. AJ
lsusb | grep -i 07ca:c830 > /dev/null
if [ $? = 0 ] ; then
    echo DVB
fi

# Avermedia H869 ISDB
lsusb | grep -i 07ca:2869 > /dev/null
if [ $? = 0 ] ; then
    echo ISDB
fi

# Avermedia A331 DMB-T (China)
lsusb | grep -i 07ca:3331 > /dev/null
if [ $? = 0 ] ; then
    echo DMB
fi

# Avermedia H837 (ATSC)
lsusb | grep -i 07ca:0837 > /dev/null
if [ $? = 0 ]; then
    echo ATSC
fi

lsusb | grep -i 2040:b151 >/dev/null
if [ $? = 0 ]; then
    echo DVB-T2
fi
